Summary: A Free IPSEC implemetation with x509 Patches
Name: freeswan-super
Version: 1.98b
Release: 1
Source0: super-freeswan-%{version}-kb4.tar.gz
License: GPL
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gmp-devel
Prefix: %{_prefix}
URL: https://www.freeswan.org/
Prereq: /sbin/chkconfig
Obsoletes: freeswan-x509

%define subversion kb4
%define x509_version 0.9.14
Source1: fswcert.make.patch.tar
Source2: freeswan-1.94-makefile.inc.diff.tar
Patch1: freeswan-1.8-config.patch.bz2

%description
The basic idea of IPSEC is to provide security functions
(authentication and encryption) at the IP (Internet Protocol)
level. It will be required in IP version 6 (better known as IPng,
the next generation) and is optional for the current IP, version 4.

FreeS/WAN is a freely-distributable implementation of IPSEC protocol.

This ist the Super FreeS/Wan Distribution including:
x509
nat-T
Further encryption algorithms like AES, Blowfish etc.

%prep
%setup -q -n %{name}-%{version} -c -a 1
%setup -D -n %{name}-%{version} -a 2
cd super-freeswan-%{version}-%{subversion}
patch Makefile.inc < ../freeswan-1.94-makefile.inc.diff

%build
cd super-freeswan-%{version}-%{subversion}
make OPT_FLAGS="$RPM_OPT_FLAGS" programs

%install
rm -rf $RPM_BUILD_ROOT
cd super-freeswan-%{version}-%{subversion}
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/rc.d/init.d,/var/run/pluto}
install -m 600 pluto/ipsec.secrets $RPM_BUILD_ROOT/etc
install -m 600 testing/baseconfigs/east/etc/ipsec.conf $RPM_BUILD_ROOT/etc
make install \
	DESTDIR="%buildroot"
mkdir -pm 700 $RPM_BUILD_ROOT/etc/ipsec.d/cacerts
mkdir -pm 700 $RPM_BUILD_ROOT/etc/ipsec.d/crls
mkdir -pm 700 $RPM_BUILD_ROOT/etc/ipsec.d/private

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ipsec
/sbin/chkconfig ipsec off
echo "You successfully installed the freeswan userspace tools. For"
echo "authentication purposes freeswan needs keys which are stored in "
echo "/etc/ipsec.secrets."
echo "A sample file with sample keys has been installed. Replace this "
echo "file with your own keys!"
echo "If you would like to do it now, enter:"
echo "echo -e \": RSA {\n\";ipsec rsasigkey 2048;echo -e \"  }\n\" > /etc/ipsec.secrets"

%preun
/sbin/chkconfig --del ipsec

%files
%defattr(-,root,root,755)
%config(noreplace) %{_sysconfdir}/ipsec.conf
%config(noreplace) %{_sysconfdir}/ipsec.secrets
%config(noreplace) %{_sysconfdir}/ipsec.d/*
%config(noreplace) %{_initrddir}/ipsec
%{_libdir}/ipsec
%{_sbindir}/ipsec
%{_mandir}/*/*
%doc README.X509 CHANGES.X509 CHANGES BUGS CHANGES.SUPERFS CHANGES.ipsec_alg COPYING CREDITS INSTALL README README.ipsec_alg README.NAT-Traversal  README.SUPERFS
%doc freeswan-%version/doc/

%changelog
* Mon Jul 22 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Upgraded to x509-patch-0.9.14 
- Upgraded to freeswan 1.98b
- supports now dhcp-over-ipsec

* Fri Jun 21 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Upgraded to x509-patch-0.9.12

* Mon May 27 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Added postinstall/preuninstall scripts to automatically start and stop ipsec

* Fri Mar 01 2002 Ralf Spenneberg <ralf@spenneberg.de>
- added fswcert
- added /etc/ipsec.d/private

* Tue Jan 19 2002 Ralf Spenneberg <ralf@spenneberg.de>
- updated to freeswan 1.95 and x509 0.9.8

* Mon Dec 31 2001 Ralf Spenneberg <ralf@spenneberg.de>
- Modified package for 1.94 and x509 0.9.6

* Wed Nov 07 2001 Ralf Spenneberg <ralf@spenneberg.de>
- Created package
- Patched with x509
